Debian Bug report logs - #570889
ant FTBFS on gcj architectures

version graph

Package: ant; Maintainer for ant is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for ant is src:ant.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Mon, 22 Feb 2010 03:06:02 UTC

Severity: normal

Tags: patch, sid, squeeze

Merged with 570886, 571336, 571542

Found in version ant/1.8.0-3

Fixed in version ant/1.8.0-4

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#570889; Package src:ant. (Mon, 22 Feb 2010 03:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 22 Feb 2010 03:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ant: FTBFS on kfreebsd-*: Bus error
Date: Mon, 22 Feb 2010 04:03:47 +0100
Source: ant
Version: 1.8.0-2
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| Copying 5 files to /build/buildd-ant_1.8.0-2-kfreebsd-i386-RIfTK_/ant-1.8.0/build/classes
| Bus error
| ... Failed Building Ant Distribution !
| make: *** [stamp-build-ant] Error 138

Full build logs:
  https://buildd.debian.org/status/package.php?suite=unstable&p=ant

It looks like hppa is having issues as well.

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#570889; Package src:ant. (Thu, 25 Feb 2010 12:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 25 Feb 2010 12:21:13 GMT) Full text and rfc822 format available.

Message #10 received at 570889@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 570889@bugs.debian.org
Cc: debian-bsd@lists.debian.org, debian-hppa@lists.debian.org
Subject: #570889 ant: FTBFS on kfreebsd-* and hppa: Bus error
Date: Thu, 25 Feb 2010 15:23:18 +0100 (CET)
Hi,

the current ant fails during build in

| Copying 5 files to /build/buildd-ant_1.8.0-2-kfreebsd-i386-RIfTK_/ant-1.8.0/build/classes
| Bus error

I tried to understand what is going wrong.
The important part of ktrace seems be this:

 14997 gij-4.4  CALL  fstat(0xa,0xbfbf29ec)
 14997 gij-4.4  STRU  size=1701
 14997 gij-4.4  RET   fstat 0
 14997 gij-4.4  CALL  mmap(0,0x2000,PROT_READ,MAP_PRIVATE,0xa,0,0)
 14997 gij-4.4  RET   mmap 712716288/0x2a7b3000
 14997 gij-4.4  PSIG  SIGBUS SIG_DFL

The file, which have to be copied, have size 1701,
but two pages (2*4096) are mmaped. It is allowed on both
Linux and FreeBSD.
When the 2nd page of that file would be accessed, it would
generate SIGBUS.

The question is of course whether it really happens and why ?

Petr

gcc tst.c -o tst
tst < tst.c

-------------------------------
    #include <stdio.h>
    #include <sys/mman.h>

     int main()
     {

     char *p = mmap(0, 8192,PROT_READ,MAP_PRIVATE,0,0);

     fprintf(stderr, "%p %d\n", p, p[55]);
     fprintf(stderr, "%p %d\n", p, p[4095]);
     fprintf(stderr, "%p %d\n", p, p[4096]);
     fprintf(stderr, "%p %d\n", p, p[7796]);
     };

-----------

 14997 gij-4.4  CALL  open(0x8e59e58,O_RDONLY|O_LARGEFILE,<unused>0)
 14997 gij-4.4  NAMI 
"/home/bd/ant/src/main/org/apache/tools/ant/listener/defaults.properties"
 14997 gij-4.4  RET   open 10/0xa
 14997 gij-4.4  CALL  stat(0xbfbf2950,0xbfbf28c8)
 14997 gij-4.4  NAMI 
"/home/bd/ant/src/main/org/apache/tools/ant/listener/defaults.properties"
 14997 gij-4.4  STRU  struct stat {dev=68, ino=261382, mode=-rw-r--r-- , 
nlink=1, uid=1000, gid=1000, rdev=1073358, atime=1267097252, 
stime=1215765502, ctime=1267095424, birthtime=1215765502, size=1701, 
blksize=4096, blocks=4, flags=0x0 }
 14997 gij-4.4  RET   stat 0
 14997 gij-4.4  CALL 
open(0x8e2ec80,O_WRONLY|O_CREAT|O_TRUNC,<invalid>438)
 14997 gij-4.4  NAMI 
"/home/bd/ant/build/classes/org/apache/tools/ant/listener/defaults.properties"
 14997 gij-4.4  RET   open 11/0xb
 14997 gij-4.4  CALL  gettimeofday(0xbfbf29ec,0)
 14997 gij-4.4  RET   gettimeofday 0
 14997 gij-4.4  CALL  fstat(0xb,0xbfbf28fc)
 14997 gij-4.4  STRU  struct stat {dev=68, ino=98035, mode=-rw-r--r-- , 
nlink=1, uid=1000, gid=1000, rdev=0, atime=1267097828.537268496, 
stime=1267097828.537268496, ctime=1267097828.537268496, 
birthtime=1267097828.537260486, size=0, blksize=4096, blocks=0, flags=0x0 
}
 14997 gij-4.4  RET   fstat 0
 14997 gij-4.4  CALL  futimes(0xb,0xbfbf29e4)
 14997 gij-4.4  RET   futimes 0
 14997 gij-4.4  CALL  stat(0xbfbf2920,0xbfbf2898)
 14997 gij-4.4  NAMI 
"/home/bd/ant/build/classes/org/apache/tools/ant/listener/defaults.properties"
 14997 gij-4.4  STRU  struct stat {dev=68, ino=98035, mode=-rw-r--r-- , 
nlink=1, uid=1000, gid=1000, rdev=0, atime=1267097828, 
stime=1267097828.538945000, ctime=1267097828.539347276, 
birthtime=1267097828.537260486, size=0, blksize=4096, blocks=0, flags=0x0 
}
 14997 gij-4.4  RET   stat 0
 14997 gij-4.4  CALL  fstat(0xa,0xbfbf29ec)
 14997 gij-4.4  STRU  struct stat {dev=68, ino=261382, mode=-rw-r--r-- , 
nlink=1, uid=1000, gid=1000, rdev=1073358, atime=1267097252, 
stime=1215765502, ctime=1267095424, birthtime=1215765502, size=1701, 
blksize=4096, blocks=4, flags=0x0 }
 14997 gij-4.4  RET   fstat 0
 14997 gij-4.4  CALL  mmap(0,0x2000,PROT_READ,MAP_PRIVATE,0xa,0,0)
 14997 gij-4.4  RET   mmap 712716288/0x2a7b3000
 14997 gij-4.4  PSIG  SIGBUS SIG_DFL





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#570889; Package src:ant. (Thu, 25 Feb 2010 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Carlos O'Donell" <carlos@systemhalted.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 25 Feb 2010 21:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 570889@bugs.debian.org (full text, mbox):

From: "Carlos O'Donell" <carlos@systemhalted.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 570889@bugs.debian.org, debian-bsd@lists.debian.org, debian-hppa@lists.debian.org
Subject: Re: #570889 ant: FTBFS on kfreebsd-* and hppa: Bus error
Date: Thu, 25 Feb 2010 16:37:19 -0500
On Thu, Feb 25, 2010 at 9:23 AM, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
> The file, which have to be copied, have size 1701,
> but two pages (2*4096) are mmaped. It is allowed on both
> Linux and FreeBSD.
> When the 2nd page of that file would be accessed, it would
> generate SIGBUS.
>
> The question is of course whether it really happens and why ?
> Petr
>
> gcc tst.c -o tst
> tst < tst.c
>
> -------------------------------
>    #include <stdio.h>
>    #include <sys/mman.h>
>
>     int main()
>     {
>
>     char *p = mmap(0, 8192,PROT_READ,MAP_PRIVATE,0,0);

File descriptor 0 is standard input and you can't mmap that.

You should also check the return of mmap.

Could you please provide a new test case?

Cheers,
Carlos.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#570889; Package src:ant. (Thu, 25 Feb 2010 22:21:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 25 Feb 2010 22:21:15 GMT) Full text and rfc822 format available.

Message #20 received at 570889@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: debian-hppa@lists.debian.org
Cc: 570889@bugs.debian.org, 571532@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: #570889 ant: FTBFS on kfreebsd-* and hppa: Bus error
Date: Fri, 26 Feb 2010 01:22:27 +0100 (CET)
> On Thu, Feb 25, 2010 at 9:23 AM, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
>> The file, which have to be copied, have size 1701,
>> but two pages (2*4096) are mmaped. It is allowed on both
>> Linux and FreeBSD.
>> When the 2nd page of that file would be accessed, it would
>> generate SIGBUS.
>>
>> The question is of course whether it really happens and why ?

> File descriptor 0 is standard input and you can't mmap that.
> You should also check the return of mmap.
> Could you please provide a new test case?

Please really try to run the example code,
for me (pagesize 4096) it gives:

0x800636000 32
0x800636000 0
Bus error

The example code just illustrates what might happen in
failure of ant. The affected architectures directly in
ant build have been only kfreebsd-* and hppa.

Now it looks like wider problem - #571532, #571542, #571397.

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#570889; Package src:ant. (Fri, 26 Feb 2010 03:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Carlos O'Donell" <carlos@systemhalted.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 26 Feb 2010 03:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 570889@bugs.debian.org (full text, mbox):

From: "Carlos O'Donell" <carlos@systemhalted.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: debian-hppa@lists.debian.org, 570889@bugs.debian.org, 571532@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: #570889 ant: FTBFS on kfreebsd-* and hppa: Bus error
Date: Thu, 25 Feb 2010 22:37:12 -0500
On Thu, Feb 25, 2010 at 7:22 PM, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
>> On Thu, Feb 25, 2010 at 9:23 AM, Petr Salinger <Petr.Salinger@seznam.cz>
>> wrote:
>>>
>>> The file, which have to be copied, have size 1701,
>>> but two pages (2*4096) are mmaped. It is allowed on both
>>> Linux and FreeBSD.
>>> When the 2nd page of that file would be accessed, it would
>>> generate SIGBUS.
>>>
>>> The question is of course whether it really happens and why ?
>
>> File descriptor 0 is standard input and you can't mmap that.
>> You should also check the return of mmap.
>> Could you please provide a new test case?
>
> Please really try to run the example code,
> for me (pagesize 4096) it gives:
>
> 0x800636000 32
> 0x800636000 0
> Bus error
>
> The example code just illustrates what might happen in
> failure of ant. The affected architectures directly in
> ant build have been only kfreebsd-* and hppa.
>
> Now it looks like wider problem - #571532, #571542, #571397.

Does ant actually try to mmap stdin? That's a bug in ant.

POSIX says you may only mmap a file, shared memory object,
or typed memory object. The stdin file descriptor is neither
of those things therefore you can't mmap stdin.

One might argue the bug is that the Linux kernel allows the
mmap to succeed.

Cheers,
Carlos.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#570889; Package src:ant. (Fri, 26 Feb 2010 06:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 26 Feb 2010 06:12:06 GMT) Full text and rfc822 format available.

Message #30 received at 570889@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "Carlos O'Donell" <carlos@systemhalted.org>
Cc: 570889@bugs.debian.org, 571532@bugs.debian.org
Subject: Re: #570889 ant: FTBFS on kfreebsd-* and hppa: Bus error
Date: Fri, 26 Feb 2010 09:14:19 +0100 (CET)
>> Now it looks like wider problem - #571532, #571542, #571397.
>
> Does ant actually try to mmap stdin? That's a bug in ant.
>
> POSIX says you may only mmap a file, shared memory object,
> or typed memory object. The stdin file descriptor is neither
> of those things therefore you can't mmap stdin.

No, no, no. Not in my example:
  gcc tst.c -o tst
  tst < tst.c

My point is a different one, see in #570889.

14997 gij-4.4  CALL  open(0x8e59e58,O_RDONLY|O_LARGEFILE,<unused>0)
14997 gij-4.4  NAMI ".../defaults.properties"
14997 gij-4.4  RET   open 10/0xa
14997 gij-4.4  CALL  fstat(0xa,0xbfbf29ec)
14997 gij-4.4  STRU  size=1701
14997 gij-4.4  RET   fstat 0
14997 gij-4.4  CALL  mmap(0,0x2000,PROT_READ,MAP_PRIVATE,0xa,0,0)
14997 gij-4.4  RET   mmap 712716288/0x2a7b3000
14997 gij-4.4  PSIG  SIGBUS SIG_DFL

The ant/gij-4.4 mmaps 8192 bytes from file of size 1701
on architecture with pagesize 4096.

It is at least weird, possible consequences are demonstrated
by my tst.c example.

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#570889; Package src:ant. (Fri, 26 Feb 2010 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Carlos O'Donell" <carlos@systemhalted.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 26 Feb 2010 07:03:03 GMT) Full text and rfc822 format available.

Message #35 received at 570889@bugs.debian.org (full text, mbox):

From: "Carlos O'Donell" <carlos@systemhalted.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 570889@bugs.debian.org, 571532@bugs.debian.org
Subject: Re: #570889 ant: FTBFS on kfreebsd-* and hppa: Bus error
Date: Fri, 26 Feb 2010 02:02:08 -0500
On Fri, Feb 26, 2010 at 3:14 AM, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
> My point is a different one, see in #570889.
>
> 14997 gij-4.4  CALL  open(0x8e59e58,O_RDONLY|O_LARGEFILE,<unused>0)
> 14997 gij-4.4  NAMI ".../defaults.properties"
> 14997 gij-4.4  RET   open 10/0xa
> 14997 gij-4.4  CALL  fstat(0xa,0xbfbf29ec)
> 14997 gij-4.4  STRU  size=1701
> 14997 gij-4.4  RET   fstat 0
> 14997 gij-4.4  CALL  mmap(0,0x2000,PROT_READ,MAP_PRIVATE,0xa,0,0)
> 14997 gij-4.4  RET   mmap 712716288/0x2a7b3000
> 14997 gij-4.4  PSIG  SIGBUS SIG_DFL
>
> The ant/gij-4.4 mmaps 8192 bytes from file of size 1701
> on architecture with pagesize 4096.

If ant mmap's a file that has only 1701 bytes, on an architecture with
page size of 4906, then any access beyond the first page will cause a
SIGBUS.

POSIX mmap says:
* The system will zero-fill a partial page at the end of an object.
Thus bytes 1701->4095 are zero-filled.
* Access to any whole page past the end of an object shall result in
SIGBUS. Thus access to bytes 4096->8192 will result in a SIGBUS.

If ant is accessing whole pages beyond the length of the object (not
the length of the required mmap) then this is a bug.

Cheers,
Carlos.




Changed Bug title to 'ant: SIGBUS during "Copying files ..." in build of several packages (on some architectures even ant itself)' from 'ant: FTBFS on kfreebsd-*: Bus error' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 26 Feb 2010 11:57:08 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'serious' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 26 Feb 2010 11:57:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:ant' to 'ant'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 26 Feb 2010 12:06:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ant/1.8.0-2. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 26 Feb 2010 12:06:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions ant/1.8.0-2. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 26 Feb 2010 12:06:04 GMT) Full text and rfc822 format available.

Forcibly Merged 570889 571397 571542. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 26 Feb 2010 12:06:05 GMT) Full text and rfc822 format available.

Forcibly Merged 570889 571336 571397 571542. Request was from Damien Raude-Morvan <drazzib@drazzib.com> to control@bugs.debian.org. (Sat, 27 Feb 2010 13:36:05 GMT) Full text and rfc822 format available.

Forcibly Merged 570886 570889 571336 571397 571542. Request was from Damien Raude-Morvan <drazzib@drazzib.com> to control@bugs.debian.org. (Sat, 27 Feb 2010 13:54:13 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Sat, 27 Feb 2010 17:48:11 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sat, 27 Feb 2010 17:48:11 GMT) Full text and rfc822 format available.

Message #56 received at 570889-close@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 570889-close@bugs.debian.org
Subject: Bug#570889: fixed in ant 1.8.0-3
Date: Sat, 27 Feb 2010 17:47:21 +0000
Source: ant
Source-Version: 1.8.0-3

We believe that the bug you reported is fixed in the latest version of
ant, which is due to be installed in the Debian FTP archive:

ant-doc_1.8.0-3_all.deb
  to main/a/ant/ant-doc_1.8.0-3_all.deb
ant-optional_1.8.0-3_all.deb
  to main/a/ant/ant-optional_1.8.0-3_all.deb
ant_1.8.0-3.diff.gz
  to main/a/ant/ant_1.8.0-3.diff.gz
ant_1.8.0-3.dsc
  to main/a/ant/ant_1.8.0-3.dsc
ant_1.8.0-3_all.deb
  to main/a/ant/ant_1.8.0-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570889@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Werner <twerner@debian.org> (supplier of updated ant package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 27 Feb 2010 18:26:35 +0100
Source: ant
Binary: ant ant-optional ant-doc
Architecture: source all
Version: 1.8.0-3
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Torsten Werner <twerner@debian.org>
Description: 
 ant        - Java based build tool like make
 ant-doc    - Java based build tool like make - API documentation and manual
 ant-optional - Java based build tool like make - optional libraries
Closes: 559058 570889
Changes: 
 ant (1.8.0-3) unstable; urgency=low
 .
   [ Torsten Werner ]
   * Use default-java in $(JAVA_HOME).
   * Do no longer build the -gcj packages because of bus error in gij. Such
     packages are provided by the ant1.7 source package. (Closes: #570889)
   * Remove Arnaud from the Uploaders list.
 .
   [ Ludovic Claude ]
   * Demote ant-optional-gcj from Recommends to Suggests for package ant-optional
     (Closes: #559058)
 .
   [ Niels Thykier ]
   * Removed obsolete linda override.
Checksums-Sha1: 
 8a472e34ea3f92afdda2edbff4c3ff36e8e6965d 1670 ant_1.8.0-3.dsc
 63dbae77e9de22b8cea7d2368f87b07d12ec374b 31086 ant_1.8.0-3.diff.gz
 5947065725b7d1acd7090add771e0cf0646e656d 1451244 ant_1.8.0-3_all.deb
 d2794be9480666c97d2e92647224bee0b56b09ea 689776 ant-optional_1.8.0-3_all.deb
 0c21049198082ccba6d474ae123d257923b2d86a 3399730 ant-doc_1.8.0-3_all.deb
Checksums-Sha256: 
 53d223dc32679fbf0a7af25ccced79bdcd1cc9cd01857a4dfca81c448a733700 1670 ant_1.8.0-3.dsc
 e5b8b3e67cebed20797f6971c052db8a2006b8cf60b2ea77ce1083ee728d19ce 31086 ant_1.8.0-3.diff.gz
 cde66c30c927afa28e3f2da28d67ed5268252a399ed5a71e51b610ab8b1ee4e9 1451244 ant_1.8.0-3_all.deb
 691658d8229413b4b0c677afa2408b2c62ad5be4b4b047cfdd88fc47f5d9e8ef 689776 ant-optional_1.8.0-3_all.deb
 7fe40fcd79de13310e2e3f9218bc0f9c5d83a79fd134672ae690007c637e53e5 3399730 ant-doc_1.8.0-3_all.deb
Files: 
 2e851c17f15da6de2f03417c804e95b9 1670 java optional ant_1.8.0-3.dsc
 4ec807cc0a5280c6eabd7fd7922d229a 31086 java optional ant_1.8.0-3.diff.gz
 f591e18c6f03ceb85a9dbbcbb8543490 1451244 java optional ant_1.8.0-3_all.deb
 90d3811e4399511a796b0aebaee3e8f4 689776 java optional ant-optional_1.8.0-3_all.deb
 b9119f4c1c40b8f1906b6c66eae70d54 3399730 doc optional ant-doc_1.8.0-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuJVncACgkQfY3dicTPjsPH6ACcD2zGgUg3c3WriKKvdgC+pCsT
GbYAn39vGOtsM+QK/Fr8AWzuAgxKbawl
=qD6m
-----END PGP SIGNATURE-----





Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Sat, 27 Feb 2010 17:48:12 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sat, 27 Feb 2010 17:48:12 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Sat, 27 Feb 2010 17:48:14 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 27 Feb 2010 17:48:14 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Sat, 27 Feb 2010 17:48:15 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 27 Feb 2010 17:48:15 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Sat, 27 Feb 2010 17:48:16 GMT) Full text and rfc822 format available.

Notification sent to Torsten Werner <twerner@debian.org>:
Bug acknowledged by developer. (Sat, 27 Feb 2010 17:48:16 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions ant/1.8.0-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Mar 2010 12:48:09 GMT) Full text and rfc822 format available.

Disconnected #570889 from all other report(s). Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 21:33:13 GMT) Full text and rfc822 format available.

Merged 570886 570889 571336 571397 571542. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 21:33:18 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions ant/1.8.0-3. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 21:33:21 GMT) Full text and rfc822 format available.

Bug reassigned from package 'ant' to 'src:writer2latex'. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 21:33:27 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ant/1.8.0-2. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 21:33:31 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions ant/1.8.0-3. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 21:33:35 GMT) Full text and rfc822 format available.

Changed Bug title to 'please change Build-Depends to ant1.7' from 'ant: SIGBUS during "Copying files ..." in build of several packages (on some architectures even ant itself)' Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 21:33:39 GMT) Full text and rfc822 format available.

Disconnected #571397 from all other report(s). Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 22:48:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:writer2latex' to 'ant'. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 22:48:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'ant FTBFS on gcj architectures' from 'please change Build-Depends to ant1.7' Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 22:48:13 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions ant/1.8.0-3. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Wed, 03 Mar 2010 22:48:16 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 04 Mar 2010 09:03:08 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions ant/1.8.0-3. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 09 Mar 2010 09:30:30 GMT) Full text and rfc822 format available.

Bug Marked as found in versions ant/1.8.0-3. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 09 Mar 2010 09:30:34 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 09 Mar 2010 09:30:37 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 09 Mar 2010 10:48:10 GMT) Full text and rfc822 format available.

Information stored :
Bug#570889; Package ant. (Tue, 09 Mar 2010 19:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Tue, 09 Mar 2010 19:21:08 GMT) Full text and rfc822 format available.

Message #115 received at 570889-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 571542@bugs.debian.org
Cc: 570886-quiet@bugs.debian.org, 570889-quiet@bugs.debian.org, 571336-quiet@bugs.debian.org
Subject: Re: [patch] ant FTBFS on gcj architectures
Date: Tue, 9 Mar 2010 22:23:48 +0100 (CET)
Hi,

may be this one would be yet better.

Petr


--- src/main/org/apache/tools/ant/util/ResourceUtils.java
+++ src/main/org/apache/tools/ant/util/ResourceUtils.java
@@ -466,7 +466,7 @@
                 long count = srcChannel.size();
                 while (position < count) {
                     position +=
-                        srcChannel.transferTo(position, FileUtils.BUF_SIZE,
+                        srcChannel.transferTo(position, count - position,
                                               destChannel);
                 }
             } finally {





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 12 Mar 2010 07:06:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Jun 2010 07:34:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:19:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.